Package picard.sam.SamErrorMetric

# Class ReadBaseStratification.LongShortHomopolymerStratifier

java.lang.Object
picard.sam.SamErrorMetric.ReadBaseStratification.LongShortHomopolymerStratifier

All Implemented Interfaces:
  `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.LongShortHomopolymer>`

Enclosing class:
  ReadBaseStratification

public static class ReadBaseStratification.LongShortHomopolymerStratifier extends Object implements ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.LongShortHomopolymer>
Stratify bases according to the type of Homopolymer that they belong to (repeating element, final reference base and whether the length is "long" or not). Read direction and only the preceding bases are taken into account.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuffix()`
`ReadBaseStratification.LongShortHomopolymer`
`stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### stratify

public ReadBaseStratification.LongShortHomopolymer stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

Specified by:
  `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.LongShortHomopolymer>`

### getSuffix

public String getSuffix()

Specified by:
  `getSuffix` in interface `ReadBaseStratification.RecordAndOffsetStratifier<ReadBaseStratification.LongShortHomopolymer>`